<template src="./Filter.html">

</template>

<script>
import {mapGetters, mapActions} from 'vuex'

import ToolBar from '../../components/bar/ToolBar'
import Title from '../../components/section/Title'
import RecipeItem from '../../components/RecipeItem'


export default {
  name: 'Filters',
  components: {
    ToolBar,
    Title,
    RecipeItem
  },

  data: () => ({
    filterParam: {
      category: [],
      time: "",
      serving: ""
    },
    resultFilterRecipes: []
  }),

  computed: {
    currentRouteName() {
      return this.$route.name;
    },

    category() {
      return this.groupingCategory()
    },

    ...mapGetters([
      'category',
      'filterRecipes',
    ])
  },

  methods: {
    filter (value) {
      if (value.time !== "" || value.serving !== "" || value.category.length > 0) {
        this.resultFilterRecipes = this.filterRecipes(value)
      }
    },

    groupingCategory () {
      console.log(recipes.length)
    },

    ...mapActions([
      'getAllCategory',
    ]),

  },

  created: function () {

    this.getAllCategory()

  },

}
</script>
